<?xml version="1.0"?>
<odoo>
    <record id="knk_pos_product_product_tree_view" model="ir.ui.view">
        <field name="name">knk.product.product.tree.inherit</field>
        <field name="model">product.product</field>
        <field name="inherit_id" ref="product.product_product_tree_view" />
        <field name="arch" type="xml">
            <field name="default_code" position="before">
                <field name="pos_sequence" widget="handle" />
            </field>
        </field>
    </record>
    <record id="knk_pos_product_template_tree_view" model="ir.ui.view">
        <field name="name">knk_product.template.tree.inherit</field>
        <field name="model">product.template</field>
        <field name="inherit_id" ref="product.product_template_tree_view" />
        <field name="arch" type="xml">
            <field name="default_code" position="before">
                <field name="pos_sequence" widget="handle" />
            </field>
        </field>
    </record>
    <record id="knk_pos_product_template_form_view" model="ir.ui.view">
        <field name="name">knk_product.template.form.inherit</field>
        <field name="model">product.template</field>
        <field name="inherit_id" ref="point_of_sale.product_template_form_view" />
        <field name="arch" type="xml">
            <field name="available_in_pos" position="after">
                <field name="pos_sequence" />
            </field>
        </field>
    </record>
</odoo>